SEPExecutor (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.concurrent

## Class SEPExecutor

- java.lang.Object
- - org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService
  - - org.apache.cassandra.concurrent.SEPExecutor

- All Implemented Interfaces:
    java.util.concurrent.Executor, java.util.concurrent.ExecutorService, TracingAwareExecutorService
  Direct Known Subclasses:
    JMXEnabledSharedExecutorPool.JMXEnabledSEPExecutor

      public class SEPExecutor
      extends AbstractTracingAwareExecutorService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.concurrent.ConcurrentLinkedQueue<org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<?>>` | `tasks`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addTask(org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<?> task)`
    `boolean` | `awaitTermination(long timeout, java.util.concurrent.TimeUnit unit)`
    `int` | `getActiveCount()`
    `long` | `getCompletedTasks()`
    `int` | `getCurrentlyBlockedTasks()`
    `int` | `getMaximumThreads()`
    `long` | `getPendingTasks()`
    `int` | `getTotalBlockedTasks()`
    `boolean` | `isShutdown()`
    `boolean` | `isTerminated()`
    `void` | `maybeExecuteImmediately(java.lang.Runnable command)`
    `protected void` | `onCompletion()`
    `void` | `shutdown()`
    `java.util.List<java.lang.Runnable>` | `shutdownNow()`

    - ### Methods inherited from class org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService

      `execute, execute, invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, newTaskFor, submit, submit, submit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tasks

          protected final java.util.concurrent.ConcurrentLinkedQueue<org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<?>> tasks

  - ### Method Detail

    - #### onCompletion

          protected void onCompletion()

      Specified by:
        `onCompletion` in class `AbstractTracingAwareExecutorService`

    - #### addTask

          protected void addTask(org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService.FutureTask<?> task)

      Specified by:
        `addTask` in class `AbstractTracingAwareExecutorService`

    - #### maybeExecuteImmediately

          public void maybeExecuteImmediately(java.lang.Runnable command)

    - #### shutdown

          public void shutdown()

    - #### shutdownNow

          public java.util.List<java.lang.Runnable> shutdownNow()

    - #### isShutdown

          public boolean isShutdown()

    - #### isTerminated

          public boolean isTerminated()

    - #### awaitTermination

          public boolean awaitTermination(long timeout,
                                 java.util.concurrent.TimeUnit unit)
                                   throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`

    - #### getPendingTasks

          public long getPendingTasks()

    - #### getCompletedTasks

          public long getCompletedTasks()

    - #### getActiveCount

          public int getActiveCount()

    - #### getTotalBlockedTasks

          public int getTotalBlockedTasks()

    - #### getMaximumThreads

          public int getMaximumThreads()

    - #### getCurrentlyBlockedTasks

          public int getCurrentlyBlockedTasks()

Copyright © 2014 The Apache Software Foundation